#ifndef _DIALOGS_TABADVANCED_CPP
#define _DIALOGS_TABADVANCED_CPP
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

#include <Windows.H>
#include <Stdio.H>
#include <Stdlib.H>
#include <CommCtrl.h>

#include "../Resources/Resource.H"

#include "../../SharedSource/NSWFL.H"
#include "../Source/Entry.H"
#include "../Source/Routines.H"

#include "../Dialogs/MainDlg.H"

///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

BOOL CALLBACK TabAdvancedDialog(HWND hWnd, UINT uMsg, WPARAM wParam, LPARAM lParam)
{

	if(uMsg == WM_INITDIALOG)
    {
		if(gbCacheLogFile)
		{
			CheckDlgButton(hWnd, IDC_CACHELOGFILE, BST_CHECKED);
		}
		return TRUE;
    }

	if(uMsg == WM_NOTIFY)
    {
        LPNMHDR pNMH = (LPNMHDR)lParam;
        if(pNMH->code == PSN_KILLACTIVE)
        {
            return FALSE;
        }
        if(pNMH->code == PSN_APPLY) // Ok
        {
			if(IsDlgButtonChecked(hWnd, IDC_CACHELOGFILE) == BST_CHECKED)
			{
				gbCacheLogFile = true;
			}
			else gbCacheLogFile = false;
			return TRUE;
        }
        if(pNMH->code == PSN_RESET) // Cancel
        {
            return FALSE;
        }
    }

    return FALSE;
}

///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
#endif
