#ifndef _CREATETRIGGERS_H
#define _CREATETRIGGERS_H
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

#include "../../SharedClasses/CStatusDlg/CStatusDlg.H"

///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

#define COL_TYPE_TEXT  35
#define COL_TYPE_NTEXT 99
#define COL_TYPE_IMAGE 34

///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

//------------------------------------------------------------------------------------------
//The primary function for creating a replication.
bool CreateReplication(CSQL *lpCSQL, char *sTrgDB, char *sDB, char *sDBO, char *sTable);
bool CreateReplicationEx(CSQL *lpCSQL, char *sTrgDB, char *sDB, char *sDBO, char *sTable, HWND Grid_hWnd, int iCol, int iItem);
//------------------------------------------------------------------------------------------

//------------------------------------------------------------------------------------------
//The primary functions for dropping a replication.
bool DropReplicationTriggers(CSQL *lpCSQL, char *sDB, char *sTable);
bool DropReplicationTables(CSQL *lpCSQL, char *sTrgDB, char *sDB, char *sDBO, char *sTable);
//------------------------------------------------------------------------------------------

bool CreateReplicationTables(CSQL *lpCSQL, char *sTrgDB, char *sDB, char *sDBO, char *sTable);
bool CreateReplicationTriggers(CSQL *lpCSQL, char *sTrgDB, char *sDB, char *sDBO, char *sTable);
bool GenerateReplicationScripts(CStatusDlg *lpDlg, char *sTrgDB, char *sDBO, bool bCreate);

//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
#endif
